
package automotoras06;

public class Vehiculo {

    private Integer id;
    private String patente;
    private String marca;
    private String modelo;
    private Integer anio;
    private Integer kilometraje;
    private String color;
    private Integer precio;
    private Boolean vendido;
    private String foto;

     /**
     * @return el estado de compra del vehiculo
     */

    public Boolean getVendido() {
        return vendido;
    }
    /**
     * @param vendido guarda el estado del vehiculo
     */
    public void setVendido(Boolean vendido) {
        this.vendido = vendido;
    }

     /**
     * cambia el estado del vehiculo
     */

    public Vehiculo() {
        vendido = false;
    }
     /**
     * @return la patente
     */

    public String getPatente() {
        return patente;
    }
    /**
     * @param patente guarda la patente del vehiculo
     */
    public void setPatente(String patente) {
        this.patente = patente;
    }

     /**
     * @return la marca
     */

    public String getMarca() {
        return marca;
    }

    /**
     * @param marca guarda la marca
     */
    public void setMarca(String marca) {
        this.marca = marca;
    }

     /**
     * @return el modelo
     */
    public String getModelo() {
        return modelo;
    }

    /**
     * @param modelo guarda el modelo
     */
    public void setModelo(String modelo) {
        this.modelo = modelo;
    }


    /**
     * @return el color
     */
    public String getColor() {
        return color;
    }

    /**
     * @param color guarda el color
     */
    public void setColor(String color) {
        this.color = color;
    }



    /**
     * @param vendido guarda el estado nuevo de vendido
     */
    public void setVendido(boolean vendido) {
        this.vendido = vendido;
    }

    /**
     * @return el id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id guarda el ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * @return el año
     */
    public Integer getAnio() {
        return anio;
    }

    /**
     * @param anio guarda el año
     */
    public void setAnio(Integer anio) {
        this.anio = anio;
    }

    /**
     * @return el kilometraje
     */
    public Integer getKilometraje() {
        return kilometraje;
    }

    /**
     * @param kilometraje guarda el kilimetraje del vehiculo
     */
    public void setKilometraje(Integer kilometraje) {
        this.kilometraje = kilometraje;
    }

    /**
     * @return el precio
     */
    public Integer getPrecio() {
        return precio;
    }

    /**
     * @param precio guarda el precio
     */
    public void setPrecio(Integer precio) {
        this.precio = precio;
    }
    /**
     * @return la foto
     */
        public String getfoto() {
        return foto;
    }

    /**
     * @param foto guarda la foto
     */
    public void setfoto(String foto) {
        this.foto = foto;
    }
}
